Module java.rmi
Package java.rmi

## Class ServerError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.ServerError

All Implemented Interfaces:
  `Serializable`

    public class ServerError
    extends RemoteException

A `ServerError` is thrown as a result of a remote method invocation when an `Error` is thrown while processing the invocation on the server, either while unmarshalling the arguments, executing the remote method itself, or marshalling the return value. A `ServerError` instance contains the original `Error` that occurred as its cause.

Since:
  1.1
See Also:
  Serialized Form

### Field Summary

### Fields declared in class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
`ServerError​(String s, Error err)` Constructs a `ServerError` with the specified detail message and nested error.

### Method Summary

### Methods declared in class java.rmi.RemoteException

`getCause, getMessage`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerError

    public ServerError​(String s,
                       Error err)

Constructs a `ServerError` with the specified detail message and nested error.

Parameters:
  `s` - the detail message
  `err` - the nested error
Since:
  1.1